/* Sidecart CSS */

.off-canvas-cart .ux-mini-cart-footer {
	border-top: 0;
    position: sticky;
    bottom: 0;
    background: #fff;
    padding-top: 20px !important;
    box-shadow: 0px 4px 54.6px -16px #21323626;
}

.mini-cart-quantity-remove-wrapper {
	display: flex;
	align-items: center;
}

.ux-mini-cart-qty .product-subtotal {
	display: none;
}

.woocommerce-mini-cart-item .ux-mini-cart-qty {
	margin-right: 16px !important;
	margin-top: 0 !important;
}

.ux-mini-cart-qty .ux-quantity {
	height: 48px !important;
	border-radius: 3px;
}

.mini-cart__price-quantity {
	display: flex;
	justify-content: space-between;
	align-items: end;
}

.mini-cart__price-quantity > .price,
.mini-cart__price-quantity > .mini-cart__price-wrapper,
.mini-cart__price-quantity > .woocommerce-Price-amount{
	margin-bottom: 10px;
}

ul.product_list_widget li a.remove {
	position: relative !important;
	height: 100%;
	width: 48px;
	height: 48px;
	display: flex;
	align-items: center;
	justify-content: center;
}

.mini-cart-quantity-remove-wrapper img {
	height: 24px !important;
	position: relative !important;
	top: 0 !important;
	margin-bottom: 0 !important;
	object-fit: contain !important;
}

.widget_shopping_cart ul.product_list_widget li {
	padding-right: 0 !important;
	margin-left: -10px;
	margin-right: -10px;
	width: calc(100% + 20px);
}

.mini-cart__price-wrapper,
.mini-cart__price-quantity > .woocommerce-Price-amount,
.product-pricing {
	display: flex;
	gap: 10px;
	align-items: center;
}

.product-pricing .original-price,
.product-pricing .original-price bdi,
.mini-cart__price-wrapper del,
.mini-cart__price-wrapper del bdi,
.mini-cart__price-quantity > .woocommerce-Price-amount del,
.mini-cart__price-quantity > .woocommerce-Price-amount del bdi {
	color: #b3c3b6;
}

.product-pricing .sale-price bdi,
.mini-cart__price-wrapper ins bdi,
.mini-cart__price-quantity > .woocommerce-Price-amount ins bdi {
	color: var(--color-3);
}

.product-pricing .discount-badge,
.mini-cart__price-wrapper .discount,
.mini-cart__price-quantity > .woocommerce-Price-amount .discount {
	font-weight: 700;
	font-size: 15px;
	line-height: 100%;
	text-align: center;
	text-transform: uppercase;
	background: var(--color-3);
	color: #fff;
	border-radius: 30px;
	padding: 4px 12px 4px;
}


.mini-cart-quantity-remove-wrapper .remove_from_cart_button {
	border: 1px solid #d9d9d9;
	border-radius: 3px;
}

.mini-cart-quantity-remove-wrapper .remove_from_cart_button:after{
	content: '';
	background: url(../images/trash.svg);
	display: block;
	width: 16px;
	height: 16px;
	background-size: contain;
	background-position: center;
	background-repeat: no-repeat;
}



.woocommerce-mini-cart__total-info {
	display: flex;
	gap: 15px;
	justify-content: space-between;
	align-items: center;
	font-weight: 600;
	font-size: 15px;
	line-height: 100%;
}

.woocommerce-mini-cart__total-info .amount *{
	font-weight: 600;
}

.widget_shopping_cart p.total {
	border-bottom: none !important;
}

.woocommerce-mini-cart__buttons {
	margin-top: 20px;
}

.off-canvas-cart .return-to-shop{
	display: flex;
	justify-content: center;
}

.cart-popup-inner .widget_shopping_cart_content:has(.woocommerce-mini-cart__empty-message){
	justify-content: center;
}

.woocommerce-mini-cart__discount > span:first-child{
	display: flex;
    align-items: center;
    gap: 7px;
}

.woocommerce-mini-cart__discount > span:first-child:before {
	content: "";
	background-image: url(../images/percentage.svg);
	background-repeat: no-repeat;
	background-size: 10px 9px;
	background-position: center;
	background-color: var(--color-3);
	width: 18px;
	height: 18px;
	border-radius: 18px;
	display: block;
}

.woocommerce-mini-cart__discount *{
	color: var(--color-3) !important;
}

.woocommerce-mini-cart__total{
	font-weight: 700;
	font-size: 18px;
	line-height: 31px;
}

.widget_shopping_cart ul.product_list_widget li{
	margin-bottom: 10px;
}

.widget_shopping_cart ul.product_list_widget li+li{
	border-color: #E8E8E8;
	padding-top: 20px;
	margin-top: 10px;
}

.widget_shopping_cart ul.product_list_widget li img{
	width: 120px;
	height: 120px;
	object-fit: cover;
	border-radius: 12px;
}

.widget_shopping_cart li.woocommerce-mini-cart-item{
	padding-left: 135px;
	min-height: 140px;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.widget_shopping_cart li.woocommerce-mini-cart-item a{
	font-weight: 600;
	font-size: 15px;
	line-height: 100%;
	color: #454648 !important;
}

.cart-popup-inner--sticky .ux-mini-cart-footer{
	/* position: unset !important; */
}

.ux-mini-cart-qty .ux-quantity .qty-custom-wrapper label:hover:after{
	filter: none;
}

.widget_shopping_cart .woocommerce-mini-cart__buttons .button{
	background: #32b6a6;
	color: #FFF;
	height: 58px;
	border-radius: 7px;
	line-height: 59px;
	text-transform: uppercase;
}

.widget_shopping_cart .woocommerce-mini-cart__buttons .button:after{
	content: url(../images/cart-white.svg);
	margin-left: 10px;
	vertical-align: middle;
}

.off-canvas-right .mfp-content{
	background: #FFF !important;
}

.cart-popup-inner.inner-padding {
	min-height: 100vh;
}

@media only screen and (max-width: 549px){
	.widget_shopping_cart .attachment-woocommerce_thumbnail{
		width: 85px;
		height: 85px;
	}

	.widget_shopping_cart li.woocommerce-mini-cart-item{
		padding-left: 130px;
		mmin-height: 95px;
	}
	
	.mini-cart__price-quantity{
		flex-direction: column;
		align-items: flex-start;
		padding-top: 10px;
	}
	
	.mini-cart-quantity-remove-wrapper{
		align-self: end;
	}

	.widget_shopping_cart ul.product_list_widget li{
		margin-bottom: 0px;
	}

	.widget_shopping_cart ul.product_list_widget li+li{
		margin-top: 5px;
	}
	
	.woocommerce-mini-cart-item .ux-mini-cart-qty{
		margin-right: 7px !important;
	}
	
	.ux-mini-cart-qty .ux-quantity{
		height: 38px !important;
		border-radius: 7px;
	}
	
	.ux-mini-cart-qty .qty-custom-wrapper{
		gap: 0px !important;
	}
	
	.ux-mini-cart-qty input.input-text.qty{
		font-size: 16px !important;
	}
	
	ul.product_list_widget li a.remove{
		width: 38px;
		height: 38px;
		border-radius: 7px;
	}
	
	.woocommerce-mini-cart__total-info:first-child{
		display: none;
	}
	
	.woocommerce-mini-cart__total-info{
		font-size: 13px;
		margin-bottom: 0;
	}
	
	.widget_shopping_cart li.woocommerce-mini-cart-item a{
		font-size: 13px;
		margin-bottom: 0 !important;
	}
	
	.mini-cart__price-quantity > .mini-cart__price-wrapper *,
	.mini-cart__price-quantity > .woocommerce-Price-amount *{
		font-size: 14px;
	}
	
	.widget_shopping_cart p.total{
		border: none !important;
		margin-bottom: 0 !important;
		padding-bottom: 0 !important;
	}
	
	.woocommerce-mini-cart__total{
		font-size: 15px;
	}
	
	.woocommerce-mini-cart__buttons{
		margin: 0;
	}
	
	.cart-popup-inner .woocommerce-mini-cart{
		margin-bottom: 10px !important;
	}
}

/* END Sidecart CSS */
